<?xml version="1.0" encoding="UTF-8"?>

<!--
#(c)#=====================================================================
#(c)#
#(c)#       Copyright 2007 ExLibris Group
#(c)#            All Rights Reserved
#(c)#
#(c)#=====================================================================
-->
<!--
**          Product : WebVoyage :: tcc_oclc_link
**          Version : 7.0
**          Created : 06-NOV-2008
**      Orig Author : Laura Guy
**    Last Modified : 02-JUL-2009
** Last Modified By : Jim Robinson
-->

<xsl:stylesheet version="1.0"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:page="http://www.exlibrisgroup.com/voyager/webvoyage/page"
   xmlns:fo="http://www.w3.org/1999/XSL/Format">
   
	<xsl:template name="recordIsbnCiteoclc">
		<xsl:variable name="OCLC">
			<xsl:call-template name="trimData">
				<xsl:with-param name="sData">
					<xsl:call-template name="BMDProcessMarcTags">
						<xsl:with-param name="field" select="'035'"/>
						<xsl:with-param name="indicator1" select="'X'"/>
						<xsl:with-param name="indicator2" select="'X'"/>
						<xsl:with-param name="subfield" select="'a'"/>
						<xsl:with-param name="mfhdID" select="$bibID"/>
						<xsl:with-param name="recordType" select="'bib'"/>
					</xsl:call-template>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="OCLC_trim">
			<xsl:if test="translate($OCLC , '()ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz','')">
				<xsl:value-of select="translate($OCLC , '()ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz','')"/>
			</xsl:if>
		</xsl:variable>
		
		<a target="_blank">
			<xsl:attribute name="href">http://www.worldcat.org/oclc/<xsl:value-of select="$OCLC_trim"/>?page=citation&amp;client=worldcat.org-detailed_record</xsl:attribute>Cite this Book
		</a>
	</xsl:template>
</xsl:stylesheet>